﻿using Syncfusion.EJ.Export;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebApplication1.UserControl
{
    public partial class ucData : System.Web.UI.UserControl
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //ScriptManager scriptManager = ScriptManager.GetCurrent(this.Page);
            //scriptManager.RegisterPostBackControl(this.FindControl("gridItems"));  
        }


        public void SetTitle(string title)
        {
            lblTitulo.Text = title;
        }

        public string GetTitle()
        {
            return lblTitulo.Text;
        }

        public void SetDataSource(List<Item> lst)
        {
            gridItems.DataSource = null;
            gridItems.DataSource = lst;
            gridItems.DataBind();
        }

        protected void gridItems_ServerExcelExporting(object sender, Syncfusion.JavaScript.Web.GridEventArgs e)
        {
            ExcelExport exp = new ExcelExport();
            exp.Export(gridItems.Model, (IEnumerable)gridItems.DataSource, "Export.xlsx", ExcelVersion.Excel2010, true, true, "flat-lime");
        }

        //function for export all
        public IWorkbook ExportarExcel()
        {
            IWorkbook workbook = null;
            try
            {
                ExcelExport exp = new ExcelExport();

                workbook = exp.Export(gridItems.Model, (IEnumerable)gridItems.DataSource, "Export.xlsx", ExcelVersion.Excel2013, false, true, "default-theme", true);
            }
            catch (Exception ex)
            {
                int b = 0;
            }
            return workbook;
        }



    }
}