﻿function bindChartWithGrid(chart, grid, serieColumn) {    
    if (grid == undefined || chart == undefined || serieColumn == undefined)
        return;

    var dataSource = grid.model.currentViewData;
    var columnas = []
    var SeriesDataSources = [];
    var serie = [];
    
    
    // Obtenemos las semanas visibles para crear el eje x del grafico
    for (var i = 0; i < grid.model.columns.length; i++) {
        if (grid.model.columns[i].visible == true && grid.model.columns[i].field.startsWith("Semana"))
            if (grid.model.columns[i].field != "SemanaActualPendientes")
                columnas.push(grid.model.columns[i].field);
    }

    for (var i = 0; i < dataSource.length; i++) {
        var objectProperties = Object.getOwnPropertyNames(dataSource[i]);

        //alert(dataSource[i].GrupoOS);

        // Recorro las propiedades del objeto, y aquellas que coincidan con las columnas que se muestran
        // almaceno el valor para crear el grafico
        var cont = 0;
        for (var j = 0; j < objectProperties.length; j++) {

            if ($.inArray(objectProperties[j], columnas) > -1) {
                //alert(objectProperties[j]);
                var dato = dataSource[i];                
                if (serieColumn == "TipoOS") 
                    punto = { serieName: String(dato.TipoOS), Semana: columnas[cont], Total: dato[objectProperties[j]] };
                else
                    punto = { serieName: dato.GrupoOS, Semana: columnas[cont], Total: dato[objectProperties[j]] };
                //alert("NombreSerie: " + punto.serieName +  " Semana: " + punto.Semana + " total: " + punto.Total);
                serie.push(punto);
                cont++;
            }
        }

        if (serie.length > 0) {
            SeriesDataSources.push(serie);
            serie = [];
        }
    }

    chart.model.series = [];        
    for (h = 0; h < SeriesDataSources.length; h++) {
        chart.model.series[h] = {};
        //alert(chart.model.series[h]);            
        chart.model.series[h].dataSource = SeriesDataSources[h];
        chart.model.series[h].xName = "Semana";
        chart.model.series[h].yName = "Total";
        chart.model.series[h].name = SeriesDataSources[h][0].serieName;
        chart.model.series[h].type = "Column";
        chart.model.series[h].enableAnimation = true;
        chart.model.series[h].tooltip = { visible: true, format: SeriesDataSources[h][0].serieName + '<br>#point.x# : #point.y# ' };
        chart.redraw();
    }
    
    //chart.model.series = [];
    SeriesDataSources = [];
    chart.model.series = [];
    SeriesDataSources = [];
    //alert("done");
}